[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Wow.



On Tue, 7 Oct 2008, Kevin Kofler wrote:

Alan Evans <ame.fedora <at> gmail.com> writes:
It's just that in this case, I didn't expect updating subversion to
pull in a new version of openoffice! And sendmail???

If packages A and B both depend on library L and if Rawhide has a newer version
of L with a different soname major version (the number which indicates which
versions of a library are binary-compatible with each other), then you cannot
update package A without updating B, even if A and B are otherwise completely
unrelated (because updating A drags in L which drags in the updated B because
the newer L is no longer compatible with the old B - dependencies work both
ways in this case). If L is a core system library, there can be a lot of
packages like B.

In this case the dependency is libdb-4.7.so. I have been experimenting with getting Fedora 10 beta OpenOffice 3 onto Fedora 9, and found that I needed about 30 rawhide packages in addition to the OO3 ones (which would have been much more except I pulled in the compat-db to put back libdb-4.6.so), but by creating a db47 package to provide libdb-4.7.so to Fedora 9 this dropped to 6 or 7 such packages.

	Michael Young


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]